100 REM HEAT SINK DESIGN PROGRAM
110 CLS : PRINT  "HEAT SINK DESIGN"
120 PRINT : PRINT "ALL TEMPERATURES IN DEGREE CENTEGRADE"
130 PRINT : INPUT "REQUIRED POWER DISSIPATION IN WATTS";P
140 INPUT "MAXIMUM AMBIENT TEMPERATURE";TA
150 INPUT "MAXIMUM JUNCTION TEMPERATURE";TJ
160 INPUT "JUNCTION-CASE THERMAL RESISTANCE DEG C/WATT";JC
170 PRINT  : PRINT "SELECT TYPE OF MOUNTING"
180 PRINT "     1. DRY"
190 PRINT "     2. GREASE"
200 PRINT "     3. DRY WITH MICA WASHER"
210 INPUT "     4. GREASE WITH MICA WASHER";M
220 ON M GOTO 230,240,250,260
230 RC=.25 : T$="DRY" : GOTO 270
240 RC=.1 : T$="GREASE" : GOTO 270
250 RC=.8 : T$="DRY WITH MICA WASHER" : GOTO 270
260 RC=.4 : T$="GREASE WITH MICA WASHER"
270 TS=TJ-P*(RC+JC)
280 RJ=(TJ-TA)/P
290 RS=RJ-(JC+RC)
300 TC=RC*P+TS : TJ=(RC+JC)*P+TS
330 PRINT  : INPUT"DO YOU WANT TO KNOW THE APPROXIMATE SINK VOLUME REQUIRED";A$
340 IF A$= "Y" THEN 370
345 IF A$= "y" THEN 370
350 GOSUB 420
360 GOTO 400
370 V=46.155*RS^(-1.52145) : V=INT(V*100+.5)/100
380 GOSUB 420
390 PRINT "APPROXIMATE HEAT SINK VOLUME USING ALUMINUM IS";V;"CUBIC INCHES"
400 PRINT "REQUIRED HEAT SINK THERMAL RESISTANCE=";RS;"DEGREE C/WATT OR LESS"
410 PRINT : END
420 CLS : PRINT TAB(36) "RESULTS"
430 PRINT : PRINT "USING ";T$;" CASE-SINK MOUNTING:"
440 PRINT : PRINT "MAXIMUM AMBIENT TEMPERATURE=";TA;"DEGREE C"
450 PRINT "MAXIMUM JUNCTION TEMPERATURE=";TJ;"DEGREE C"
460 PRINT "HEAT SINK TEMPERATURE=";TS;"DEGREE C"
470 PRINT "CASE-SINK TEMPERATURE=";TC;"DEGREE C"
480 PRINT  "POWER DISSIPATION=";P;"WATTS"
490 RETURN
