100 REM     QPROBLEM PROGRAM BY D. McGARRETT 2 NOV 84
110 REM     PROGRAM FINDS ATTENUATION AT A PARTICULAR SPECIFIED FREQUENCY
120 REM     FOR A SINGLE POLE FILTER HAVING A SPECIFIED UNLOADED Q AND
130 REM     A SPECIFIED INSERTION LOSS (DETERMINED BY COUPLING).
140 INPUT"OPERATING FREQUENCY, MHZ";F0
150 INPUT"FREQUENCY AT WHICH REJECTION IS DESIRED";F5
160 FH=ABS(F0-F5)
170 GOSUB 340
180 INPUT"Q UNLOADED";QU
190 INPUT"ALLOWABLE LOSS";L
200 QL=QU*(1-10^(-L/20))
210 PRINT "QL="QL
220 BW=F0/QL
230 PRINT "BW="BW
240 FL=BW/2
250 PRINT "FL="FL
260 OCT=(LOG(FH/FL)/LOG(2))
270 PRINT"OCT="OCT
280 ATP=6*OCT
290 PRINT "ATTENUATION PER POLE="ATP
300 PRINT 
310 DEF FNC(Y)=INT(10*Y+.5)/10
320 LPRINT "LOSS OF"L" DB"
330 GOTO 400
340 GOSUB 360
350 LPRINT"QU","QL","BW","FL","OCT","AT/P"
360 LPRINT"___________________________________________________________________________"
370 RETURN
380 LPRINT
390 RETURN
400 LPRINT FNC(QU),FNC(QL),FNC(BW),FNC(FL),FNC(OCT),FNC(ATP)
410 LPRINT
420 PRINT"USE CTRL C TO EXIT"
430 PRINT 
440 GOTO 180
